@lazyglobal off.
function setThrottle{
	parameter cVal.
	parameter tVal.
	parameter tPct.
	parameter tMult is 1.
	local tCutoff is tVal * tPct.
	local tRemain is abs(tVal - cVal).
	return max(0.01,min(1,tMult*tRemain/tCutoff)).
}
function align{
	parameter tdir,useRCS is false.
	local vDiff is vang(ship:facing:vector,tdir:Vector).
	if useRCS{
		if vDiff < 5{
			rcs off.
		}
		else{
			rcs on.
		}
	}
	return vDiff.
}
function getPeriod{
	parameter ap.
	parameter pe is ap.
	local sma is (ap + pe + orbit:body:radius * 2)/2.
	return 2*constant:pi*sqrt(sma^3/ship:orbit:body:mu).
}
function checkStage{
	if stageMax - ship:maxthrust > 10{
		lock throttle to 0.
		stage.
		wait 1.
		lock throttle to tLock.
		set stageMax to ship:maxthrust.
	}
}
function setAlarm{
	parameter aTime.
	if not addons:kac:available{
		return.
	}
	if aTime < time:seconds{
		return.
	}
	local na is addAlarm("Raw",aTime,"Auto from kOS","Auto").
}
function telemetry{
	parameter rm is 0.
	print pMission at (1,0).
	print "Phase: " + phase + " " at (1,2).
	print "rm: " + rm + " " at (12,2).
	print "Status: " + ship:status + "      " at (25,2).
	print "Stage  : " + stage:number + " " at (1,4).
	print "Throttle: " + round(tLock,3) + "  " at (1,5).
}