//recovery.ks
@lazyglobal off.
require("control.ks").
require("systems.ks").
function recovery{
	local LandingOrbitAltitude is 75000.
	local deorbitBurnLNG is 136.
	local KSCLAUNCHPAD is latlng(-0.0972092543643722,-74.557706433623).
	lock shipLatLng to ship:geoposition. //This is the ship's current location above the surface

	local rm is 1.
	local tWork is 0.
 	local hWork is ship:facing.
	set tLock to tWork.
	set hLock to hWork. 
	lock throttle to tLock.
	lock steering to hLock.
	until rm = 0{
		if rm = 1{
			set tWork to 0.
			set hWork to retrograde.
			if approx(shipLatLng:LNG,deorbitBurnLNG,1){
				set rm to 2.
			}
			if ship:altitude < 60000{
				set rm to 4.
			}
		}
		if rm = 2{
			retractPanels(). //todo: close all experiment doors
			// retractAntenna().
			notify("INITIATING DE-ORBIT BURN").
			set hWork to retrograde.
			set rm to 3.
		}
		else if rm = 3{
			set hWork to ship:retrograde.
			if ship:periapsis < 40000{
				lock throttle to 0.
				set tWork to 0.
				set rm to 4.
			}
			else{
				set tWork to 0.25.
			}
		}
		else if rm = 4{
			set hWork to srfretrograde.
			set tWork to 0.
			lock throttle to 0.
			if alt:radar < 10000{
				set rm to 5.
			}
			else{
				if ship:altitude < 60000 and
				  stage:number > 0 and stage:ready{
					stage.
				}
			}
		}
		else if rm = 5{
			unlock steering.
			if alt:radar < 5000{
				deployChutes().
				set rm to 6.
			}
			else{
				if stage:number > 0 and stage:ready{
					lock throttle to 0.
					stage.
				}
			}
		}
		else if rm = 6{
			if alt:radar < 5{
				set rm to 0.
			}
			else if alt:radar < 50{
				sas on.
			}
		}
		checkStage().
		set tLock to tWork.
		set hLock to hWork.
		eTime().
		telemetry(rm).
		print "Recovery   " at (1,1).
		print "LAT: " + round(shipLatLng:LAT,3) + "   " at (1,12).
		print "LNG: " + round(shipLatLng:LNG,3) + "   " at (1,13).
		print "TGT: " + round(deorbitBurnLNG,3) + "   " at (1,14).
	}
	notify("LANDED").
	clearscreen.
}